import request from '@/utils/request'

// 查询电力产能预测列表
export function listPredictionProd(query) {
  return request({
    url: '/ems/predictionProd/list',
    method: 'get',
    params: query
  })
}

// 查询电力产能预测详细
export function getPredictionProd(id) {
  return request({
    url: '/ems/predictionProd/' + id,
    method: 'get'
  })
}

// 新增电力产能预测
export function addPredictionProd(data) {
  return request({
    url: '/ems/predictionProd',
    method: 'post',
    data: data
  })
}

// 修改电力产能预测
export function updatePredictionProd(data) {
  return request({
    url: '/ems/predictionProd',
    method: 'put',
    data: data
  })
}

// 删除电力产能预测
export function delPredictionProd(id) {
  return request({
    url: '/ems/predictionProd/' + id,
    method: 'delete'
  })
}
